using System;
using System.Collections;
using System.Collections.Generic;

public class SimpleEnumerableStack<T> : SimpleStack<T>, IEnumerable<T>
{
    IEnumerator<T> IEnumerable<T>.GetEnumerator() {
		for (int i = count-1; i >= 0; --i) 
			yield return items[i];
	}

    IEnumerator IEnumerable.GetEnumerator() {
        for (int i = count - 1; i >= 0; --i)
            yield return items[i];
    }

    public IEnumerable<T> ReverseItems {
        get {
            for (int i = 0; i < count; i++)
                yield return items[i];
        }
    }
}
