using System;

public class SimpleStack<T> 
{
    protected T[] items;
    protected int count;
    public SimpleStack() {
        count = 0;
        items = new T[10];
    }

    public int Count {
        get { return count; }
    }

    public void Push(T item) {
        if (count > items.GetUpperBound(0)) {
            T[] tItems = new T[2 * items.Length];
            Array.Copy(items, 0, tItems, 0, items.Length);
            items = tItems;
        }
        items[count++] = item;
    }

    public T Pop() {
        if (count > items.GetLowerBound(0))
            return items[--count];
        else
            throw new Exception(" !");
    }
}

