<%@ Page Language="C#" %>
<script runat="server">
    protected void GridView1_PageIndexChanged(object sender, EventArgs e)
    {
        GridView1.SelectedIndex = -1;
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <table>
            <tr>
                <td valign="top">
                <asp:GridView ID="GridView1" runat="server"  
                    DataSourceID="SqlDataSource1" DataKeyNames="emp_id" 
                    AutoGenerateColumns="False" AllowPaging="True"
                    OnPageIndexChanged="GridView1_PageIndexChanged">
                    <Columns>
                        <asp:CommandField ShowSelectButton="True" />
                        <asp:BoundField DataField="emp_id" HeaderText="emp_id"/>
                        <asp:BoundField DataField="fname" HeaderText="fname"/>
                        <asp:BoundField DataField="lname" HeaderText="lname"/>
                    </Columns>
                </asp:GridView>
                </td>
                <td valign="top">
                    <asp:DetailsView ID="DetailsView1" runat="server" 
                        AutoGenerateRows="True" DataSourceID="SqlDataSource2">
                    </asp:DetailsView>
                </td>
            </tr>
        </table>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
            SelectCommand="SELECT [emp_id], [fname], [lname] FROM [employee]" />
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
            SelectCommand="SELECT * FROM [employee] WHERE ([emp_id] = @emp_id)" >
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" 
                    Name="emp_id" PropertyName="SelectedValue"/>
            </SelectParameters>
        </asp:SqlDataSource>
    </form>
</body>
</html>
