<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Runtime.Serialization.Formatters.Binary" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataTable tb = new DataTable();
            using (SqlConnection conn = new SqlConnection()) {
                conn.ConnectionString = ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString;
                using (SqlCommand command = new SqlCommand("select * from orders", conn)) {
                    conn.Open();
                    using (SqlDataReader dr = command.ExecuteReader()) {
                        tb.Load(dr);
                    }
                }
            }
            
            tb.RemotingFormat = SerializationFormat.Xml;
            string fileVDir = Request.ApplicationPath;
            if (fileVDir[fileVDir.Length - 1] != '/')
                fileVDir += "/";
            
            string filePath;
            FileInfo file;
            BinaryFormatter bf = new BinaryFormatter();
            filePath = MapPath(fileVDir + "order_details1.bin");
            using (FileStream fs = new FileStream(filePath, FileMode.Create))
            {
                bf.Serialize(fs, tb);
            }
            file = new FileInfo(filePath);
            Response.Write(filePath + "(" + file.Length.ToString("#,#") + ") .");
            Response.Write("<br>");
            
            tb.RemotingFormat = SerializationFormat.Binary;
            filePath = MapPath(fileVDir + "order_details2.bin");
            using (FileStream fs = new FileStream(filePath, FileMode.Create))
            {
                bf.Serialize(fs, tb);
            }
            file = new FileInfo(filePath);
            Response.Write(filePath + "(" + file.Length.ToString("#,#") + ") .");
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {

        string fileVDir = Request.ApplicationPath;
        if (fileVDir[fileVDir.Length - 1] != '/')
            fileVDir += "/";

        DataTable tb;
        BinaryFormatter bf = new BinaryFormatter();
        using (FileStream fs = new FileStream(MapPath(fileVDir + "order_details2.bin"), FileMode.Open, FileAccess.Read))
        {
            tb = (DataTable)bf.Deserialize(fs);
        }        
        GridView1.DataSource = tb;
        GridView1.DataBind();
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="GridView1" runat="server">
        </asp:GridView>
        <br />
        &nbsp;<asp:Button ID="Button1" runat="server" Text="order_details2.bin о" OnClick="Button1_Click" /></div>
    </form>
</body>
</html>
