using System;
using System.Web;
using System.Data;
using System.Collections;
using System.Collections.Specialized;

public class SelectExam2
{
    HttpContext _context;
    int _recordCount;

	public SelectExam2() {
        _context = HttpContext.Current;
        _recordCount = 1000;
        _context.Response.Write("SelectExam1 Ŭ ⺻  <br>");
	}

    public DataSet Select() {
        _context.Response.Write("Select() ޼ <br>");

        DataSet ds = new DataSet();
        DataTable dt = new DataTable();

        dt.Columns.Add("keyField", typeof(string)).Unique = true;
        dt.Columns.Add("field1", typeof(string));
        dt.Columns.Add("field2", typeof(string));

        byte asciiAscNo = Convert.ToByte('a');
        byte asciiDescNo = Convert.ToByte('Z');
        int totalCount = _recordCount;

        for (int i = 0; i < totalCount; i++) {
            dt.Rows.Add(new object[] { i.ToString("0000"), 
                "data1-" + Convert.ToChar(asciiAscNo) + "-" + i.ToString("0000"), 
                "data2-" + Convert.ToChar(asciiDescNo) + "-" + i.ToString("0000") });
            asciiAscNo++;
            if (asciiAscNo > Convert.ToByte('z'))
                asciiAscNo = Convert.ToByte('a');
            asciiDescNo--;
            if (asciiDescNo < Convert.ToByte('A'))
                asciiDescNo = Convert.ToByte('Z');
        }

        ds.Tables.Add(dt);
        return ds;
    }
}
