<%@ Page Language="C#" %>
<%@ Import Namespace="System.Collections.Generic" %>
<script runat="server">
    List<Pair> dates = new List<Pair>();

    protected void Page_Load(object sender, EventArgs e)
    {
        int year = DateTime.Today.Year;
        dates.Add(new Pair(new DateTime(year, 3, 1), ""));
        dates.Add(new Pair(new DateTime(year, 7, 17), ""));
        dates.Add(new Pair(new DateTime(year, 8, 15), ""));
        dates.Add(new Pair(new DateTime(year, 10, 3), "õ"));
    }
    
    protected void Calendar1_DayRender(object sender, DayRenderEventArgs e)
    {
        foreach (Pair d in dates) {
            if ((DateTime)d.First == e.Day.Date) {
                HyperLink hl = new HyperLink();
                hl.NavigateUrl = e.SelectUrl;
                hl.ImageUrl = "../images/kr.gif";
                hl.Text = (string)d.Second;
                e.Cell.Controls.Clear();
                e.Cell.Controls.Add(hl);
                /*
                string dayContent = "<a href=\"" + e.SelectUrl
                    + "\"><img border=\"0\" alt=\"" + d.Second
                    + "\" src=\"../images/kr.gif\"/></a>";

                e.Cell.Text = dayContent;
                */
                break;
            }
        }
    }

    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {
        Response.Write(Calendar1.SelectedDate.ToShortDateString());
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Calendar ID="Calendar1" runat="server" OnDayRender="Calendar1_DayRender" OnSelectionChanged="Calendar1_SelectionChanged" Caption=" ޷"></asp:Calendar>
    </form>
</body>
</html>
