<%@ Page Language="C#" %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        Label1.Text = Name.Text;
        Label2.Text = Address.Text;
        Label3.Text = City.Text;
        Label4.Text = State.Text;
        Label5.Text = PostalCode.Text;
        Label6.Text = EmailAddress.Text;

        //lblHeader.Text = "";
        Control cnt1 = Wizard1.FindControl("HeaderContainer");
        Control cnt2 = Wizard1.FindControl("SideBarContainer");
        Control cnt3 = Wizard1.FindControl("StartNavigationTemplateContainer");
        if (cnt1 != null) {
            Label lbl = (Label)cnt1.FindControl("lblHeader");
            lbl.Text = "";
            lbl.Font.Bold = true;
        }
        if (cnt2 != null) { }
        if (cnt3 != null) { }

        WizardStepBase wsb = (WizardStepBase)Wizard1.ActiveStep;
    }

    protected void Wizard1_NextButtonClick(object sender, WizardNavigationEventArgs e)
    {
        if (Wizard1.ActiveStepIndex == 1) {
            if (RadioButton1.Checked)
            // Collect ee-mail address.
            {
                Wizard1.ActiveStepIndex = 2;
            }
            else
            {
                Wizard1.ActiveStepIndex = 3;
            }
        }
    }

    protected void Page_PreRenderComplete(object sender, EventArgs e)
    {
        Control cnt3 = Wizard1.FindControl("StartNavigationTemplateContainer");
        if (cnt3 != null) { }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Wizard ID="Wizard1" runat="server" Height="245px" Width="382px" ActiveStepIndex="0" OnNextButtonClick="Wizard1_NextButtonClick">
            <WizardSteps>
                <asp:WizardStep runat="server" Title="Step 1">
                    name
                    <asp:TextBox ID="Name" runat="server"></asp:TextBox>
                    <br />
                    address
                    <asp:TextBox ID="Address" runat="server"></asp:TextBox>
                    <br />
                    city
                    <asp:TextBox ID="City" runat="server"></asp:TextBox>
                    <br />
                    state
                    <asp:TextBox ID="State" runat="server"></asp:TextBox>
                    <br />
                    postalCode
                    <asp:TextBox ID="PostalCode" runat="server"></asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Step 2" >
                    Would you like to receive e-mail updates?<br />
                    Yes
                    <asp:RadioButton ID="RadioButton1" runat="server" />
                    &nbsp;No
                    <asp:RadioButton ID="RadioButton2" runat="server" />
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Finish">
                    E-mail address
                    <asp:TextBox ID="EmailAddress" runat="server"></asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server"  >
                    <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label>
                    <br />
                    <asp:Label ID="Label2" runat="server" Text="Label"></asp:Label>
                    <br />
                    <asp:Label ID="Label3" runat="server" Text="Label"></asp:Label>
                    <br />
                    <asp:Label ID="Label4" runat="server" Text="Label"></asp:Label>
                    <br />
                    <asp:Label ID="Label5" runat="server" Text="Label"></asp:Label>
                    <br />
                    <asp:Label ID="Label6" runat="server" Text="Label"></asp:Label>
                </asp:WizardStep>
            </WizardSteps>
            <StepNavigationTemplate>
                <asp:Button ID="StepPreviousButton" runat="server" CausesValidation="False" CommandName="MovePrevious"
                    Text="Previous" />
                <asp:Button ID="StepNextButton" runat="server" CommandName="MoveNext" Text="Next" />
            </StepNavigationTemplate>
            <SideBarTemplate>
                <asp:DataList ID="SideBarList" runat="server">
                    <SelectedItemStyle Font-Bold="True" />
                    <ItemTemplate>
                        <asp:LinkButton ID="SideBarButton" runat="server"></asp:LinkButton>
                    </ItemTemplate>
                </asp:DataList>
            </SideBarTemplate>
            <FinishNavigationTemplate>
                <asp:Button runat="server" CausesValidation="False" CommandName="MovePrevious"
                    Text="Previous" />
                    .................
                <asp:Button runat="server" CommandName="MoveComplete" Text="Finish" />
            </FinishNavigationTemplate>
            <StartNavigationTemplate>
                <asp:Button runat="server" ID="StartNavigationMoveNext" CommandName="MoveNext" Text="Next" />
            </StartNavigationTemplate>
            <HeaderTemplate>
                 ׽Ʈ
                <asp:Label ID="lblHeader" runat="server" Text="Label" />
            </HeaderTemplate>
        </asp:Wizard>
    </form>
</body>
</html>
