<%@ Page Language="C#" %>
<script runat="server">
    protected void ImageMap2_Click(object sender, ImageMapEventArgs e)
    {
        switch (e.PostBackValue) {
            case "Flower":
                Response.Write(" !");
                break;
            case "Background":
                Response.Write(" !");
                break;
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:ImageMap ID="ImageMap1" runat="server" 
            ImageUrl="~/Images/hydrangea.jpg" Width="300px" 
            HotSpotMode="Navigate">
            <asp:CircleHotSpot NavigateUrl="javascript:alert('CircleHotSpot')" Radius="100" />
            <asp:RectangleHotSpot Top="100" Bottom="230" Right="150" NavigateUrl="javascript:alert('Rectangle')" />
            <asp:PolygonHotSpot Coordinates="150,0,280,20,300,224,230,150,100,120" NavigateUrl="javascript:alert('PolygonHotSpot')" />
        </asp:ImageMap>
        <br />
        <asp:ImageMap ID="ImageMap2" runat="server" 
            ImageUrl="~/Images/impatiens.jpg" Width="300px" 
            OnClick="ImageMap2_Click" HotSpotMode="PostBack">
            <asp:CircleHotSpot PostBackValue="Flower" Radius="65" X="150" Y="110" AlternateText="" />
            <asp:RectangleHotSpot PostBackValue="Background" Bottom="225" Right="300" AlternateText="" />
        </asp:ImageMap>
    </form>
</body>
</html>
