<%@ Page Language="C#" %>
<script runat="server">
    protected void cbProcessList_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (cbProcessList.Items[0].Selected)
            Wizard1.WizardSteps[1].Title = "1ܰ";
        else
            Wizard1.WizardSteps[1].Title = null;
        
        if (cbProcessList.Items[1].Selected)
            Wizard1.WizardSteps[2].Title = "2ܰ";
        else
            Wizard1.WizardSteps[2].Title = null;

        if (cbProcessList.Items[0].Selected
            && !cbProcessList.Items[1].Selected)
            Wizard1.WizardSteps[1].StepType = WizardStepType.Finish;
        else
            Wizard1.WizardSteps[1].StepType = WizardStepType.Step;
    }

    protected void Wizard1_ActiveStepChanged(object sender, EventArgs e)
    {
        if (Wizard1.ActiveStepIndex == 1) {
            if (!cbProcessList.Items[0].Selected)
                Wizard1.MoveTo(Wizard1.WizardSteps[2]);
        }
        else if (Wizard1.ActiveStepIndex == 2) {
            if (!cbProcessList.Items[1].Selected)
                Wizard1.MoveTo(Wizard1.WizardSteps[3]);
        }
    }

    protected void Wizard1_FinishButtonClick(object sender, WizardNavigationEventArgs e)
    {
        lblStep1.Text = txtStep1.Text;
        lblStep2.Text = txtStep2.Text;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" OnActiveStepChanged="Wizard1_ActiveStepChanged" OnFinishButtonClick="Wizard1_FinishButtonClick">
            <WizardSteps>
                <asp:WizardStep runat="server" Title="" ID="WizardStep1">
                    <asp:Label ID="Label1" runat="server" Font-Bold="True" Font-Size="Larger" ForeColor="Blue"
                        Text="ó ܰ踦 ϼ"/>
                    <br />
                    <asp:CheckBoxList ID="cbProcessList" runat="server" OnSelectedIndexChanged="cbProcessList_SelectedIndexChanged" AutoPostBack="True">
                        <asp:ListItem>1ܰ</asp:ListItem>
                        <asp:ListItem>2ܰ</asp:ListItem>
                    </asp:CheckBoxList>
                    <br />
                </asp:WizardStep>
                <asp:WizardStep runat="server">
                    <asp:TextBox ID="txtStep1" runat="server">1ܰ ⺻ </asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Finish" >
                    <asp:TextBox ID="txtStep2" runat="server">2ܰ ⺻ </asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Complete">
                    <b>1ܰ  :</b>
                    <asp:Label ID="lblStep1" runat="server" />
                    <br /><b>2ܰ  :</b>
                    <asp:Label ID="lblStep2" runat="server" />
                </asp:WizardStep>
            </WizardSteps>
            <SideBarStyle Width="50px" />
        </asp:Wizard>
    </form>
</body>
</html>
