<%@ Page Language="C#" %>
<script runat="server">
    public override void Validate(string group) {
        string rValue = RadioButtonList1.SelectedValue == null ? "" : RadioButtonList1.SelectedValue;

        switch (rValue) {
            case "EMail":
                RequiredFieldValidator2.Enabled = true;
                RegularExpressionValidator1.Enabled = true;
                RegularExpressionValidator2.Enabled = false;
                TextBox1.Enabled = true;
                break;
            case "Url":
                RequiredFieldValidator2.Enabled = true;
                RegularExpressionValidator1.Enabled = false;
                RegularExpressionValidator2.Enabled = true;
                TextBox1.Enabled = true;
                break;
            default:
                RequiredFieldValidator2.Enabled = false;
                RegularExpressionValidator1.Enabled = false;
                RegularExpressionValidator2.Enabled = false;
                TextBox1.Enabled = false;
                break;
        }

        base.Validate(group);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Ŭ̾Ʈ API</title>
    <script language="javascript">
    function OnRadioButtonListChange() {
        var value = ValidatorGetValue("<%= RadioButtonList1.ClientID %>");
        var val, regVal1, regVal2;
        var textBox, boxTitle;
        
        val = document.getElementById("<%= RequiredFieldValidator2.ClientID %>");
        regVal1 = document.getElementById("<%= RegularExpressionValidator1.ClientID %>");
        regVal2 = document.getElementById("<%= RegularExpressionValidator2.ClientID %>");
        textBox = document.getElementById("<%= TextBox1.ClientID %>");
        boxTitle = document.getElementById("boxTitle");
        boxTitle.innerText = value;
        
        switch(value) {
            case "EMail" :
                ValidatorEnable(val, true);
                ValidatorEnable(regVal1, true);
                ValidatorEnable(regVal2, false);
                textBox.disabled = false;
                break;
            case "Url" :
                ValidatorEnable(val, true);
                ValidatorEnable(regVal1, false);
                ValidatorEnable(regVal2, true);
                textBox.disabled = false;
                break;
            default :
                ValidatorEnable(val, false);
                ValidatorEnable(regVal1, false);
                ValidatorEnable(regVal2, false);
                textBox.disabled = true;
        }
    }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:RadioButtonList ID="RadioButtonList1" runat="server" 
            RepeatDirection="Horizontal" onClick="OnRadioButtonListChange()">
            <asp:ListItem>None</asp:ListItem>
            <asp:ListItem>EMail</asp:ListItem>
            <asp:ListItem>Url</asp:ListItem>
        </asp:RadioButtonList>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
            runat="server" ControlToValidate="RadioButtonList1"
            ErrorMessage="Է ϼ" />
        <br />
        <div id="boxTitle"></div>
        <asp:TextBox ID="TextBox1" runat="server" />
        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" 
            runat="server" Display="Dynamic" ControlToValidate="TextBox1"
            ErrorMessage="EMail  Ʋϴ." 
            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" 
            runat="server" Display="Dynamic" ControlToValidate="TextBox1"
            ErrorMessage="URL  Ʋϴ." 
            ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?" />
        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" 
            runat="server" Display="Dynamic" 
            ErrorMessage="Էϼ" ControlToValidate="TextBox1" />
        <br /><br />
        <asp:Button ID="Button1" runat="server" Text="Button" />
    </form>
    <script language="javascript">
        if (typeof(Page_ValidationVer) != "string") {
            alert("ȿ ˻ API ã  ϴ.");
        }
        if (Page_ValidationVer != "125") {
            alert("ȿ ˻ API  ٸϴ");
        }
    </script>
</body>
</html>
