<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="α" %>
<script runat="server">
    protected void btnLogin_Click(object sender, EventArgs e)
    {
        if (Membership.ValidateUser(txtUserName.Text, txtPassword.Text)) {
            MembershipUser user = Membership.GetUser(txtUserName.Text);
            user.Comment = "0";
            Membership.UpdateUser(user);
            FormsAuthentication.RedirectFromLoginPage(txtUserName.Text, chkbRememberMe.Checked);
        }
        else {
            MembershipUser user = Membership.GetUser(txtUserName.Text);
            if (user != null) {
                int count = Convert.ToInt32(user.Comment) + 1;
                if (count >= Membership.MaxInvalidPasswordAttempts)
                    user.IsApproved = false;
                user.Comment = count.ToString();
                lblLoginFailure.Text = "<br>α !<br> "
                    + (Membership.MaxInvalidPasswordAttempts - count) 
                    + "  ϸ " + user.UserName + "  ϴ.";
                Membership.UpdateUser(user);
            }
        }
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Panel ID="Panel1" runat="server" GroupingText="α" Width="190px">
        ̵<br />
        <asp:TextBox ID="txtUserName" runat="server" />
        <br />
        йȣ<br />
        <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" />
        <br />
        <asp:CheckBox ID="chkbRememberMe" runat="server" Text="α ϱ" />
        <br />
        <asp:Button ID="btnLogin" runat="server" Text="Ȯ" OnClick="btnLogin_Click" />
        <asp:Label ID="lblLoginFailure" runat="server" ForeColor="Red" />
    </asp:Panel>
</asp:Content>