<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title=" " %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) {
            lblUserName.Text = User.Identity.Name;
            
            MembershipUser mu = Membership.GetUser(User.Identity.Name);
            txtEmail.Text = mu.Email;
        }
    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        MembershipUser mu = Membership.GetUser(User.Identity.Name);
        mu.Email = txtEmail.Text;

        try {
            if (!string.IsNullOrEmpty(txtPassword.Text)) {
                mu.ChangePassword(mu.GetPassword(), txtPassword.Text);
            }
            Membership.UpdateUser(mu);
            Response.Redirect("~/Home.aspx");
        }
        catch (Exception err) {
            lblError.Text = err.Message;
        }
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3> </h3>
    <table border="0" cellpadding="0">
        <tr>
            <td width="100">̵</td>
            <td>
                <asp:Label ID="lblUserName" runat="server" Font-Bold="True" />
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <asp:TextBox ID="txtEmail" runat="server" />
            </td>
        </tr>
        <tr>
            <td>йȣ</td>
            <td>
                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" />
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <asp:Label ID="lblError" runat="server" ForeColor="Red" />
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="" />
            </td>
        </tr>
    </table>
</asp:Content>

