<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Untitled Page" %>
<%@ Import Namespace="System.IO" %>
<script runat="server">
    protected void RadioButtonList1_DataBound(object sender, EventArgs e)
    {
        foreach (ListItem item in ((RadioButtonList)sender).Items) {
            DriveInfo di = new DriveInfo(item.Text);
            item.Enabled = di.IsReady;
        }
    }
    
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        TreeNode node = new TreeNode(RadioButtonList1.SelectedValue);
        node.PopulateOnDemand = true;
        TreeView1.Nodes.Clear();
        TreeView1.Nodes.Add(node);
    }

    protected void TreeView1_TreeNodePopulate(object sender, TreeNodeEventArgs e)
    {
        TreeNode node = e.Node;
        if (node.Value.Equals("??")) {
            TreeNode newNode = new TreeNode("<i>(   ϴ.)</i>", null, "~/images/sep1.gif");
            node.ChildNodes.Add(newNode);
            return;
        }
        else if (node.Value.Equals("?")) {
            TreeNode newNode = new TreeNode("<i>( д   ߻߽ϴ.)</i>", null, "~/images/sep1.gif");
            node.ChildNodes.Add(newNode);
            return;
        }
        
        String[] dirs = Directory.GetDirectories(node.Value);
        foreach (String dir in dirs) {
            try {
                TreeNode newNode = new TreeNode(Path.GetFileName(dir), dir);

                if (Directory.GetFiles(dir).Length > 0
                    || Directory.GetDirectories(dir).Length > 0) {
                    newNode.PopulateOnDemand = true;
                }
                else {
                    newNode.ChildNodes.Add(new TreeNode("<i>( ͸)</i>", null, "~/images/sep1.gif"));
                }
                node.ChildNodes.Add(newNode);
            }
            catch (UnauthorizedAccessException auErr) {
                TreeNode newNode = new TreeNode(Path.GetFileName(dir), "??");
                newNode.PopulateOnDemand = true;
                node.ChildNodes.Add(newNode);
            }
            catch (Exception err) {
                TreeNode newNode = new TreeNode(Path.GetFileName(dir), "?");
                newNode.PopulateOnDemand = true;
                node.ChildNodes.Add(newNode);
            }            
        }

        String[] files = Directory.GetFiles(node.Value);
        foreach (String file in files) {
            TreeNode newNode = new TreeNode(Path.GetFileName(file), Path.GetFileName(file));
            node.ChildNodes.Add(newNode);
        }
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:RadioButtonList ID="RadioButtonList1" runat="server" 
        DataSourceID="ObjectDataSource1" RepeatDirection="Horizontal" 
        DataTextField="Name" AutoPostBack="True" 
        OnSelectedIndexChanged="RadioButtonList1_SelectedIndexChanged" 
        OnDataBound="RadioButtonList1_DataBound" />
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        TypeName="System.IO.DriveInfo" SelectMethod="GetDrives" />
   <asp:TreeView ID="TreeView1" runat="server" 
        ImageSet="XPFileExplorer"   
        OnTreeNodePopulate="TreeView1_TreeNodePopulate" />
</asp:Content>

