<%@ Page Language="C#" %>
<%@ Import Namespace="System.Drawing" %>
<script runat="server">
    protected void ddlColor_SelectedIndexChanged(object sender, EventArgs e)
    {
        Profile.BackgroundColor = Color.FromName(ddlColor.SelectedValue);
        Response.Redirect(Request.RawUrl);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if ((!Page.IsPostBack) && Profile.BackgroundColor.IsKnownColor) {
            ddlColor.SelectedValue = Profile.BackgroundColor.ToKnownColor().ToString();
            
            Style style = new Style();
            style.BackColor = Profile.BackgroundColor;
            Page.Header.StyleSheet.CreateStyleRule(style, null, "BODY");
        }
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server" >
        <asp:LoginName ID="LoginName1" runat="server" />
        <asp:LoginStatus ID="LoginStatus1" runat="server" />
        <br /><br />
          :
          <asp:dropdownlist id="ddlColor" runat="server" 
            OnSelectedIndexChanged="ddlColor_SelectedIndexChanged" 
            AutoPostBack="True">
            <asp:ListItem>Aqua</asp:ListItem>          
            <asp:ListItem>Blue</asp:ListItem>            
            <asp:ListItem>Fuchsia</asp:ListItem>            
            <asp:ListItem>Lime</asp:ListItem>
            <asp:ListItem>Red</asp:ListItem>
            <asp:ListItem>Silver</asp:ListItem>                    
            <asp:ListItem>Teal</asp:ListItem>            
            <asp:ListItem>Yellow</asp:ListItem>
          </asp:dropdownlist>
    </form>
</body>
</html>
