<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Ұ" %>
<script runat="server">
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow) {
            string role = (string)e.Row.DataItem;
            //RowDeleting Cells[1].Text  Ҽ ֵ
            e.Row.Cells[1].Text = role;
            ObjectDataSource odsUsers = (ObjectDataSource)e.Row.Cells[2].FindControl("odsUsers");
            odsUsers.SelectMethod = "GetUsersInRole";
            odsUsers.SelectParameters.Add("roleName", role);
        }
    }
    
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        e.Keys["roleName"] = GridView1.Rows[e.RowIndex].Cells[1].Text;
        lblGridViewError.Visible = false;
    }

    protected void GridView1_RowDeleted(object sender, GridViewDeletedEventArgs e)
    {
        if (e.Exception != null) {
            lblGridViewError.Text = e.Exception.Message;
            lblGridViewError.Visible = true;
            e.ExceptionHandled = true;
        }
    }

    protected void gvUsers_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow) {
            e.Row.Cells[1].Text = (string)e.Row.DataItem;
        }
    }
    
    protected void gvUsers_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        GridView gvUsers = (GridView)sender;
        ObjectDataSource odsUsers = (ObjectDataSource)gvUsers.Parent.FindControl("odsUsers");
        odsUsers.SelectMethod = "GetUsersInRole";
        e.Keys["roleName"] = GridView1.Rows[((GridViewRow)odsUsers.Parent.Parent).RowIndex].Cells[1].Text;
        e.Keys["userName"] = gvUsers.Rows[e.RowIndex].Cells[1].Text;
    }

    protected void btnAddRole_Click(object sender, EventArgs e)
    {
        string newRole = txtNewRole.Text;
        if (!Roles.RoleExists(newRole)) {
            lblCreateRoleErr.Visible = false;
            ObjectDataSource1.Insert();
            GridView1.DataBind();
        }
        else {
            lblCreateRoleErr.Visible = true;
            return;
        }
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3> </h3>
    <asp:GridView ID="GridView1" runat="server" DataSourceID="ObjectDataSource1" 
        AutoGenerateDeleteButton="True" OnRowDeleting="GridView1_RowDeleting" OnRowDeleted="GridView1_RowDeleted" AutoGenerateColumns="False" OnRowDataBound="GridView1_RowDataBound" >
        <Columns>
            <asp:TemplateField HeaderText="">
                <ItemTemplate />
            </asp:TemplateField>
            <asp:TemplateField HeaderText=" ">
                <ItemTemplate>
                    <asp:GridView ID="gvUsers" runat="server" 
                        DataSourceID="odsUsers" 
                        EmptyDataText="ڰϴ." 
                        AutoGenerateColumns="False" 
                        AutoGenerateDeleteButton="True" 
                        OnRowDeleting="gvUsers_RowDeleting" 
                        OnRowDataBound="gvUsers_RowDataBound" 
                        Width="100%">
                        <Columns>
                            <asp:TemplateField HeaderText="̵" />
                        </Columns>
                    </asp:GridView>
                    <asp:ObjectDataSource ID="odsUsers" runat="server"
                        TypeName="System.Web.Security.Roles" 
                        SelectMethod="GetAllRoles" 
                        DeleteMethod="RemoveUserFromRole" >
                        <DeleteParameters>
                            <asp:Parameter Name="roleName" Type="String" />
                            <asp:Parameter Name="userName" Type="String" />
                        </DeleteParameters>
                    </asp:ObjectDataSource>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <asp:Label ID="lblGridViewError" runat="server" 
        ForeColor="red" Visible="false"/>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        TypeName="System.Web.Security.Roles" 
        SelectMethod="GetAllRoles" 
        DeleteMethod="DeleteRole" 
        InsertMethod="CreateRole">
        <DeleteParameters>
            <asp:Parameter Name="roleName" Type="String" />
        </DeleteParameters>
        <InsertParameters>
            <asp:ControlParameter Name="roleName" ControlID="txtNewRole" Type="String" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <br />
    <asp:Panel ID="Panel1" runat="server" GroupingText="  ߰" Height="50px" Width="230px">
         :
        <asp:TextBox ID="txtNewRole" runat="server" />
        <br />
        <asp:Button ID="btnAddRole" runat="server" Text="߰" OnClick="btnAddRole_Click" />
        <asp:Label ID="lblCreateRoleErr" runat="server" 
            Text="<br>̹ ϴ Դϴ."  
            ForeColor="red" Visible="false"/>
    </asp:Panel>
</asp:Content>

