<%@ Control Language="C#" ClassName="Ex15_03UserControl" %>
<%@ Implements Interface="System.Web.UI.ICallbackEventHandler" %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsCallback) {
            String cbReference =
                Page.ClientScript.GetCallbackEventReference(
                    this, "arg", "ReciveFunc", "");
            String callbackScript;
            callbackScript = "function CallServer(arg, context)" 
                + "{ " + cbReference + "} ;";
            Page.ClientScript.RegisterClientScriptBlock(
                this.GetType(), "CallServer", callbackScript, true);
        }
    }
    
    private string _callbackReturn;
    void ICallbackEventHandler.RaiseCallbackEvent(String eventArgument)
    {
        _callbackReturn = "(" + eventArgument + ") Է";
    }

    string ICallbackEventHandler.GetCallbackResult()
    {
        return _callbackReturn;
    }
</script>
<script type="text/javascript">
    function RequestCallback()
    {
        var txtInput = document.all["<%= TextBox1.ClientID %>"];
        CallServer(txtInput.value, "");
    }
    
    function ReciveFunc(val)
    {
        returnValue.innerText = val;
    }
</script>

<asp:TextBox ID="TextBox1" runat="server" />
<br />
<button onclick="RequestCallback()">Ŭ̾Ʈ ݹ</button>
<br />
<br />
ȯ  : <span ID="returnValue" />
