<%@ Page Language="C#" EnableEventValidation="false" %>
<%@ Implements Interface="System.Web.UI.ICallbackEventHandler" %>
<script runat="server">
    private String _cbReference;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsCallback) {
            _cbReference =
                Page.ClientScript.GetCallbackEventReference(this,
                    "document.all['" + TextBox1.ClientID + "'].value",
                    "ReciveFunc", "");
        }
        if (!IsPostBack) {
            ViewState["TestCount"] = 1;
        }
    }
    
    private string _callbackReturn;
    void ICallbackEventHandler.RaiseCallbackEvent(String eventArgument)
    {
        StringBuilder sb = new StringBuilder();

        sb.AppendLine();
        sb.Append("eventArgument : ");
        sb.Append(eventArgument);
        sb.AppendLine();

        int testCount = (int)ViewState["TestCount"];
        sb.Append("ViewState[\"TestCount\"] : ");
        sb.Append(testCount.ToString());
        ViewState["TestCount"] = testCount + 1;
        sb.AppendLine();
        
        sb.Append("TextBox2.Text : ");
        sb.Append(TextBox2.Text);
        sb.AppendLine();

        _callbackReturn = sb.ToString();
    }

    string ICallbackEventHandler.GetCallbackResult()
    {
        return _callbackReturn;
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <script type="text/javascript">
    function ReciveFunc(val, context) {
        returnValue.innerText = val;
    }
    
    function RequestCallback()
    {
        __theFormPostData = "";
        __theFormPostCollection = new Array();
        WebForm_InitCallback();

        <%= _cbReference %>;
    }
  </script>
</head>
<body>
  <form id="form1" runat="server">
      <asp:TextBox ID="TextBox2" runat="server" />
      <br /><hr />
      <asp:TextBox ID="TextBox1" runat="server" />
      <br />
      <button onclick="RequestCallback()">Ŭ̾Ʈ ݹ</button>
      <br /><br />
      ȯ  : <span ID="returnValue" />
  </form>
</body>
</html>