using System;
using System.Collections;

namespace SimpleLogB
{
    public class SimpleLog
    {
        public static string ProviderName {
            get {
                SimpleLogProvider provider = SimpleLogProvider.Instance();
                return provider.Name;
            }
        }
        public static string ProviderDescription {
            get {
                SimpleLogProvider provider = SimpleLogProvider.Instance();
                return provider.Description;
            }
        }

        public static ICollection GetLogList() {
            SimpleLogProvider provider = SimpleLogProvider.Instance();

            return provider.GetLogList();
        }

        public static void WriteLog(string pageName, string userHostAddress) {
            SimpleLogProvider provider = SimpleLogProvider.Instance();

            provider.WriteLog(pageName, userHostAddress);
        }
    }
}
