<%@ Page Language="C#" %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        HtmlLink hl = new HtmlLink();
        hl.Href = "StyleSheet.css";
        hl.Attributes.Add("rel", "stylesheet");
        hl.Attributes.Add("type", "text/css");

        HtmlMeta hm = new HtmlMeta();
        hm.HttpEquiv = "REFRESH";
        hm.Content = "10";

        HtmlHead hh = Header;
        hh.Controls.Add(hl);
        hh.Controls.Add(hm);

        Header.Title = "Header Ӽ ׽Ʈ";

        System.Web.UI.WebControls.Style style1 = new System.Web.UI.WebControls.Style();

        style1.ForeColor = System.Drawing.Color.DarkRed;
        style1.BorderColor = System.Drawing.Color.DarkBlue;
        style1.Font.Size = 20;
        Label1.MergeStyle(style1);

        Header.StyleSheet.RegisterStyle(style1, null);
        Label2.CssClass = style1.RegisteredCssClass;
        
        Style style2 = new Style();
        style2.ForeColor = System.Drawing.Color.Red;
        style2.Font.Size = 20;
        
        Header.StyleSheet.CreateStyleRule(style2, null, ".labelStyle1");
    }
</script>

<html>
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Label ID="Label1" runat="server" Text="MergeStyle Ÿ "></asp:Label>
        <br />
        <asp:Label ID="Label2" runat="server" Text="RegisterStyle Ÿ "></asp:Label>
        <br />
        <asp:Label ID="Label3" runat="server" CssClass="labelStyle1" Text="CreateStyleRule Ÿ "></asp:Label>
        <br />
        <asp:Label ID="Label4" runat="server" CssClass="labelStyle2" Text="HtmlLink Ʈѷ Ÿ "></asp:Label>
    </form>
</body>
</html>
