﻿<%@ Control Language="C#" ClassName="PrintButton" %>
<script runat="server">
    protected void Page_PreRender(object sender, EventArgs e)
    {
        string print = Request.QueryString["print"];
        if (!String.IsNullOrEmpty(print)) {
            hlOpenWindow.Visible = false;
            return;
        }
        
        string contentPlaceHolderID = null;
        Control parent = this;
        while (parent.Parent != null) {
            if (typeof(ContentPlaceHolder) == parent.Parent.GetType()) {
                contentPlaceHolderID = parent.Parent.ID;
                break;
            }
            parent = parent.Parent;
        }

        if (contentPlaceHolderID != null) {
            if (Request.QueryString.Count > 0)
                hlOpenWindow.NavigateUrl = Request.Url.AbsoluteUri + "&print=" + contentPlaceHolderID;
            else
                hlOpenWindow.NavigateUrl = Request.Url.AbsoluteUri + "?print=" + contentPlaceHolderID;
        }
        else
            hlOpenWindow.Visible = false;
    }
</script>

<asp:HyperLink ID="hlOpenWindow" runat="server" Target="_blank">인쇄하기</asp:HyperLink>
