<%@ Page Language="C#" MasterPageFile="~/Part03/Ex04_07_Root1.master"%>
<script runat="server">
    private string mode;
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string url = Request.Url.AbsoluteUri;
        if (!String.IsNullOrEmpty(Request.Url.Query))
            url = url.Replace(Request.Url.Query, "");

        Response.Redirect(url + "?mode=" + DropDownList1.SelectedIndex);
    }
    protected void Page_PreInit(object sender, EventArgs e)
    {
        if (!String.IsNullOrEmpty(Request.QueryString["mode"])) {
            mode = Request.QueryString["mode"];
            switch (mode) { 
                case "0" :
                    MasterPageFile = "Ex04_07_Root1.master";
                    break;
                case "1":
                    MasterPageFile = "Ex04_07_Root2.master";
                    break;
                case "2":
                    MasterPageFile = "Ex04_07_Sub1.master";
                    Master.MasterPageFile = "Ex04_07_Root1.master";
                    break;
                case "3":
                    MasterPageFile = "Ex04_07_Sub1.master";
                    Master.MasterPageFile = "Ex04_07_Root2.master";
                    break;
                case "4":
                    MasterPageFile = "Ex04_07_Sub2.master";
                    Master.MasterPageFile = "Ex04_07_Root1.master";
                    break;
                case "5":
                    MasterPageFile = "Ex04_07_Sub2.master";
                    Master.MasterPageFile = "Ex04_07_Root2.master";
                    break;
            }
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack && mode != null)
            DropDownList1.SelectedIndex = int.Parse(mode);
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>Ex04_07_Page.aspx</h3>
    <hr>
    <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged">
        <asp:ListItem>Ex04_07_Root1.master</asp:ListItem>
        <asp:ListItem>Ex04_07_Root2.master</asp:ListItem>
        <asp:ListItem>Ex04_07_Root1.master/Ex04_07_Sub1.master</asp:ListItem>
        <asp:ListItem>Ex04_07_Root2.master/Ex04_07_Sub1.master</asp:ListItem>
        <asp:ListItem>Ex04_07_Root1.master/Ex04_07_Sub2.master</asp:ListItem>
        <asp:ListItem>Ex04_07_Root2.master/Ex04_07_Sub2.master</asp:ListItem>
    </asp:DropDownList>
</asp:Content>

