<%@ Page Language="C#" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title> </title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="au_id"
            DataSourceID="SqlDataSource3">
            <Columns>
                <asp:CommandField ShowEditButton="True" />
                <asp:BoundField DataField="au_id" HeaderText="au_id" ReadOnly="True" SortExpression="au_id" />
                <asp:TemplateField HeaderText="address" SortExpression="address">
                    <ItemTemplate>
                        <asp:Label ID="GridView1Label1" runat="server" Text='<%# Eval("au_id")%>'></asp:Label>
                        <asp:Label ID="GridView1Label2" runat="server" Text='<%# Bind("address") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="GridView1TextBox1" runat="server" Text='<%# Eval("au_id") %>'></asp:TextBox>
                        <asp:TextBox ID="GridView1TextBox2" runat="server" Text='<%# Bind("address") %>'></asp:TextBox>
                    </EditItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource3" runat="server" ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
            DeleteCommand="DELETE FROM [authors] WHERE [au_id] = @original_au_id" InsertCommand="INSERT INTO [authors] ([au_id], [address]) VALUES (@au_id, @address)"
            SelectCommand="SELECT [au_id], [address] FROM [authors]"
            UpdateCommand="UPDATE [authors] SET [address] = @address WHERE [au_id] = @original_au_id">
            <DeleteParameters>
                <asp:Parameter Name="original_au_id" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="address" Type="String" />
                <asp:Parameter Name="original_au_id" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="au_id" Type="String" />
                <asp:Parameter Name="address" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
    </form>
</body>
</html>
