<%@ Page Language="C#" MaintainScrollPositionOnPostback="true" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Data" %>
<script runat="server">
    protected void DataList1_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        SqlDataSource s;
        DetailsView d;
        if (e.Item.ItemType == ListItemType.Item) {
            s = (SqlDataSource)e.Item.FindControl("SqlDataSource2");
            d = (DetailsView)e.Item.FindControl("DetailsView1");
            d.PagerStyle.BackColor = Color.LightGray;
            s.SelectParameters["stor_id"].DefaultValue = (string)DataBinder.Eval(e.Item.DataItem, "stor_id");
            //s.SelectParameters["stor_id"].DefaultValue = (string)((DataRowView)e.Item.DataItem)["stor_id"];
            //s.SelectParameters["stor_id"].DefaultValue = (string)DataList1.DataKeys[e.Item.ItemIndex];
        }
        else {
            s = (SqlDataSource)e.Item.FindControl("SqlDataSource2");
            s.SelectParameters["stor_id"].DefaultValue = (string)DataBinder.Eval(e.Item.DataItem, "stor_id");
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:DataList ID="DataList1" runat="server" DataKeyField="stor_id"
            DataSourceID="SqlDataSource1" OnItemDataBound="DataList1_ItemDataBound" 
            BorderStyle="None" BorderWidth="1px" CellPadding="4" GridLines="Both" Width="100%">
            <ItemTemplate>
                <b> ID:</b><%# Eval("stor_id") %><br />
                <b> ̸:</b><%# Eval("stor_name") %><br />
                <b>ּ:</b><%# Eval("stor_address") %><br />
                <b><Ȳ></b>
                <asp:DetailsView ID="DetailsView1" runat="server" 
                    AutoGenerateRows="False" Width="100%"
                    DataSourceID="SqlDataSource2" AllowPaging="True" 
                    EmptyDataText="Ǹ Ͱ ϴ." 
                    BorderStyle="None" BorderWidth="1px" CellPadding="4" 
                    BackColor="White" BorderColor="#CC9966">
                    <Fields>
                        <asp:BoundField DataField="ord_num" HeaderText="ֹȣ"/>
                        <asp:BoundField DataField="ord_date" HeaderText="¥" DataFormatString="{0:yyyy-MM-dd}"/>
                        <asp:BoundField DataField="qty" HeaderText=""/>
                        <asp:BoundField DataField="title" HeaderText=""/>
                    </Fields>
                    <EmptyDataRowStyle ForeColor="Red" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <PagerStyle ForeColor="#330099" HorizontalAlign="Center" BackColor="#FFFFCC" />
                </asp:DetailsView>
                <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
                    SelectCommand="SELECT s.ord_num, s.ord_date, s.qty, t.title FROM sales s INNER JOIN titles t ON s.title_id=t.title_id WHERE (s.stor_id = @stor_id)">
                    <SelectParameters>
                        <asp:Parameter Name="stor_id"/>
                    </SelectParameters>
                </asp:SqlDataSource>
            </ItemTemplate>
            <ItemStyle BackColor="White" ForeColor="#330099" />
            <AlternatingItemStyle BackColor="Beige" ForeColor="#330099"/>
        </asp:DataList>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
            SelectCommand="SELECT * FROM [stores]" />
    </form>
</body>
</html>
