<%@ Page Language="C#" MaintainScrollPositionOnPostback="true" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Data" %>
<script runat="server">
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        SqlDataSource s;
        DetailsView d;
        if (e.Row.RowType == DataControlRowType.DataRow) {
            if (e.Row.RowState == DataControlRowState.Normal)  {
                s = (SqlDataSource)e.Row.Cells[0].FindControl("SqlDataSource2");
                d = (DetailsView)e.Row.Cells[0].FindControl("DetailsView1");
                d.PagerStyle.BackColor = Color.LightGray;
                s.SelectParameters["stor_id"].DefaultValue = (string)DataBinder.Eval(e.Row.DataItem, "stor_id");
                //s.SelectParameters["stor_id"].DefaultValue = (string)((DataRowView)e.Row.DataItem)["stor_id"];
                //s.SelectParameters["stor_id"].DefaultValue = (string)GridView1.DataKeys[e.Row.RowIndex].Value;
            }
            else {
                s = (SqlDataSource)e.Row.Cells[0].FindControl("SqlDataSource2");
                s.SelectParameters["stor_id"].DefaultValue = (string)DataBinder.Eval(e.Row.DataItem, "stor_id");
            }
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="GridView1" runat="server" CellPadding="4" 
        ForeColor="#333333" GridLines="None" DataKeyNames="stor_id"
        OnRowDataBound="GridView1_RowDataBound" 
        DataSourceID="SqlDataSource1" AutoGenerateColumns="False" 
        AllowPaging="True" PageSize="2">
            <RowStyle BackColor="White" ForeColor="#330099" />
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <AlternatingRowStyle BackColor="Beige" ForeColor="#330099"/>
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                <b> ID:</b><%# Eval("stor_id") %><br />
                <b> ̸:</b><%# Eval("stor_name") %><br />
                <b>ּ:</b><%# Eval("stor_address") %><br />
                <b><Ȳ></b>
                <asp:DetailsView ID="DetailsView1" runat="server" 
                    AutoGenerateRows="False" Width="100%"
                    DataSourceID="SqlDataSource2" AllowPaging="True" 
                    EmptyDataText="Ǹ Ͱ ϴ." 
                    BorderStyle="None" BorderWidth="1px" CellPadding="4" 
                    BackColor="White" BorderColor="#CC9966">
                    <Fields>
                        <asp:BoundField DataField="ord_num" HeaderText="ֹȣ"/>
                        <asp:BoundField DataField="ord_date" HeaderText="¥" DataFormatString="{0:yyyy-MM-dd}"/>
                        <asp:BoundField DataField="qty" HeaderText=""/>
                        <asp:BoundField DataField="title" HeaderText=""/>
                    </Fields>
                    <EmptyDataRowStyle ForeColor="Red" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <PagerStyle ForeColor="#330099" HorizontalAlign="Center" BackColor="#FFFFCC" />
                </asp:DetailsView>
                <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
                    SelectCommand="SELECT s.ord_num, s.ord_date, s.qty, t.title FROM sales s INNER JOIN titles t ON s.title_id=t.title_id WHERE (s.stor_id = @stor_id)">
                    <SelectParameters>
                        <asp:Parameter Name="stor_id"/>
                    </SelectParameters>
                </asp:SqlDataSource>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:pubsConnectionString %>"
            SelectCommand="SELECT * FROM [stores]" />
    </form>
</body>
</html>
