<%@ Page Language="C#" %>
<%@ Import Namespace="System.Collections.Specialized" %>
<%@ Import Namespace="System.Data.Common" %>
<script runat="server">
    void EnumerateDictionary(IOrderedDictionary dictionary)
    {
        string key, value, type;
        foreach (DictionaryEntry entry in dictionary) {
            key = entry.Key.ToString();
            if (entry.Value == null) {
                value = "(null)";
                type = "";
            }
            else {
                value = entry.Value.ToString();
                type = " (" + entry.Value.GetType().Name + ")";
            }
            Response.Write(" <b>" + Server.HtmlEncode(key) 
                + "</b>=" + Server.HtmlEncode(value) + type + "<br />");
        }
    }
    void EnumerateCommandParameters(DbCommand command)
    {
        Response.Write("<br/>  Ʈ Ķ <br />");

        string key, value, type;
        foreach (System.Data.Common.DbParameter param in command.Parameters) {
            key = param.ParameterName;
            if (param.Value == null) {
                value = "(null)";
                type = "";
            }
            else {
                value = param.Value.ToString();
                type = " (" + param.Value.GetType().Name + ")";
            }
            Response.Write(" <b>" + Server.HtmlEncode(key)
                + "</b>=" + Server.HtmlEncode(value) + type + "<br />");
        }
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ Ű <br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ  <br />");
        EnumerateDictionary(e.Values);

        //e.Cancel = true;
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ  Էµ <br />");
        EnumerateDictionary(e.NewValues);
        
        Response.Write("<br/>GridView ޵Ǵ Ű<br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ  <br />");
        EnumerateDictionary(e.OldValues);

        //e.Cancel = true;
    }
    protected void GridView1_RowUpdated(object sender, GridViewUpdatedEventArgs e)
    {
        if (e.Exception != null) {
            e.ExceptionHandled = true;
            lblErrorMessage.Text = "<b> ߻:</b><br>";
            lblErrorMessage.Text += e.Exception.Message;
            lblErrorMessage.Text += "<br><br><b> :</b><br>";
            lblErrorMessage.Text += e.Exception.StackTrace.Replace("\n", "<br>");
        }
    }
    protected void SqlDataSource1_Deleting(object sender, SqlDataSourceCommandEventArgs e)
    {
        EnumerateCommandParameters(e.Command);
        e.Cancel = true;
        Response.Write("<br/>  Ǿ");
    }
    protected void SqlDataSource1_Updating(object sender, SqlDataSourceCommandEventArgs e)
    {
        EnumerateCommandParameters(e.Command);
        //e.Cancel = true;
        //Response.Write("<br/>  Ǿ");
    }
    protected void SqlDataSource1_Inserting(object sender, SqlDataSourceCommandEventArgs e)
    {
        EnumerateCommandParameters(e.Command);
        //e.Cancel = true;
        //Response.Write("<br/>߰  Ǿ");
    }
    protected void SqlDataSource1_Inserted(object sender, SqlDataSourceStatusEventArgs e)
    {
        if (e.Exception != null) {
            e.ExceptionHandled = true;
            lblErrorMessage.Text = "<b> ߻:</b><br>";
            lblErrorMessage.Text += e.Exception.Message;
            lblErrorMessage.Text += "<br><br><b> :</b><br>";
            lblErrorMessage.Text += e.Exception.StackTrace.Replace("\n","<br>");
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        SqlDataSource1.InsertParameters["id"].DefaultValue = txtID.Text;
        SqlDataSource1.InsertParameters["data1"].DefaultValue = txtData1.Text;
        SqlDataSource1.InsertParameters["data2"].DefaultValue = txtData2.Text;
        SqlDataSource1.Insert();
        txtID.Text = "";
        txtData1.Text = "";
        txtData2.Text = "";
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        lblErrorMessage.Text = "";
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Label ID="lblErrorMessage" runat="server" ForeColor="Red" /><br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="id" DataSourceID="SqlDataSource1" 
            EmptyDataText=" Ͱ ϴ." 
            OnRowDeleting="GridView1_RowDeleting" 
            OnRowUpdating="GridView1_RowUpdating" 
            OnRowUpdated="GridView1_RowUpdated">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="id" HeaderText="id" SortExpression="id" />
                <asp:BoundField DataField="data1" HeaderText="data1" SortExpression="data1" />
                <asp:BoundField DataField="data2" HeaderText="data2" SortExpression="data2" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString1 %>"
            ProviderName="<%$ ConnectionStrings:DatabaseConnectionString1.ProviderName %>"
            SelectCommand="SELECT [id], [data1], [data2] FROM [TestTable]" 
            DeleteCommand="DELETE FROM [TestTable] WHERE [id] = @original_id" 
            InsertCommand="INSERT INTO [TestTable] ([id], [data1], [data2]) VALUES (@id, @data1, @data2)"
            UpdateCommand="UPDATE [TestTable] SET [id] = @id, [data1] = @data1, [data2] = @data2 WHERE [id] = @original_id" 
            OldValuesParameterFormatString="original_{0}"
            OnDeleting="SqlDataSource1_Deleting" 
            OnUpdating="SqlDataSource1_Updating" 
            OnInserting="SqlDataSource1_Inserting" 
            OnInserted="SqlDataSource1_Inserted" >
            <InsertParameters>
                <asp:Parameter Name="id" Type="String" />
                <asp:Parameter Name="data1" Type="String" />
                <asp:Parameter Name="data2" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="id" Type="String" />
                <asp:Parameter Name="data1" Type="String" />
                <asp:Parameter Name="data2" Type="String" />
                <asp:Parameter Name="original_id" Type="String" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="original_id" Type="String" />
            </DeleteParameters>
        </asp:SqlDataSource>
        ID : <asp:TextBox ID="txtID" runat="server"/><br />
        data1 : <asp:TextBox ID="txtData1" runat="server"/><br />
        data2 : <asp:TextBox ID="txtData2" runat="server"/><br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="߰" />
    </form>
</body>
</html>
