<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.Common" %>
<%@ Import Namespace="System.Runtime.Serialization.Formatters.Binary" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable tb = DbProviderFactories.GetFactoryClasses();
        if (!IsPostBack)
        {
            GridView1.DataSource = tb;
            GridView1.DataBind();
            tb.RemotingFormat = SerializationFormat.Xml;

            string filePath = Request.ApplicationPath;
            if (filePath[filePath.Length - 1] != '/')
                filePath += "/";
            BinaryFormatter bf = new BinaryFormatter();
            using (FileStream fs = new FileStream(MapPath(filePath + "dt.bin"), FileMode.Create))
            {
                bf.Serialize(fs, tb);
            }
            tb.RemotingFormat = SerializationFormat.Binary;
            using (FileStream fs = new FileStream(MapPath(filePath + "dt2.bin"), FileMode.Create))
            {
                bf.Serialize(fs, tb);
            }
        }
    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string invariantName = GridView1.SelectedValue.ToString();
        DbProviderFactory factory = DbProviderFactories.GetFactory(invariantName);

        Response.Write(invariantName);

    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="GridView1" runat="server" DataKeyNames="InvariantName" CellPadding="4" ForeColor="#333333" GridLines="None" OnSelectedIndexChanged="GridView1_SelectedIndexChanged">
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <Columns>
                <asp:ButtonField CommandName="Select" Text="Select" />
            </Columns>
            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
    </div>
    </form>
</body>
</html>
