<%@ Page Language="C#" %>

<script runat="server">
    void EnumerateDictionary(IOrderedDictionary dictionary)
    {
        string key, value, type;
        foreach (DictionaryEntry entry in dictionary)
        {
            key = entry.Key.ToString();
            if (entry.Value == null) {
                value = "(null)";
                type = "";
            }
            else {
                value = entry.Value.ToString();
                type = " (" + entry.Value.GetType().Name + ")";
            }
            Response.Write(" <b>" + Server.HtmlEncode(key)
                + "</b>=" + Server.HtmlEncode(value) + type + "<br />");
        }
    }

    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ  Էµ <br />");
        EnumerateDictionary(e.NewValues);

        Response.Write("<br/>GridView ޵Ǵ Ű<br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ  <br />");
        EnumerateDictionary(e.OldValues);
    }

    protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        Response.Write("<br/>  Ʈ Updating Ķ <br />");
        EnumerateDictionary(e.InputParameters);
    }

    protected void ObjectDataSource1_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        Response.Write("<br/>Updated ̺Ʈ<br />");
        Response.Write("e.ReturnValue : " + e.ReturnValue + "<br />");
        Response.Write("OutputParameters  <br />");
        foreach(DictionaryEntry de in e.OutputParameters)
            Response.Write("&nbsp;&nbsp;key : " + de.Key + ", value : " + de.Value + "<br />");
    }

    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ Ű<br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ <br />");
        EnumerateDictionary(e.Values);
    }

    protected void ObjectDataSource1_Deleting(object sender, ObjectDataSourceMethodEventArgs e)
    {
        Response.Write("<br/>  Ʈ Deleting Ķ <br />");
        EnumerateDictionary(e.InputParameters);
    }

    protected void ObjectDataSource1_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        Response.Write("<br/>Deleted ̺Ʈ<br />");
        Response.Write("e.ReturnValue : " + e.ReturnValue + "<br />");
        Response.Write("OutputParameters  <br />");
        foreach (DictionaryEntry de in e.OutputParameters)
            Response.Write("&nbsp;&nbsp;key : " + de.Key + ", value : " + de.Value + "<br />");
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        field1 Like 
        <asp:TextBox ID="TextBox1" runat="server" />&nbsp;
        <asp:Button ID="Button1" runat="server" Text="" /><br />
         
        <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
            <asp:ListItem>10000</asp:ListItem>
            <asp:ListItem>5000</asp:ListItem>
            <asp:ListItem>1000</asp:ListItem>
        </asp:DropDownList><br />
        <br />
        <asp:GridView ID="GridView1" runat="server" 
            DataSourceID="ObjectDataSource1" AutoGenerateColumns="false"
            AllowPaging="True" AllowSorting="True" OnRowUpdating="GridView1_RowUpdating" OnRowDeleting="GridView1_RowDeleting" DataKeyNames="keyField">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="keyField" />
                <asp:BoundField DataField="field1" />
                <asp:BoundField DataField="field2" />
            </Columns>
            <PagerSettings Mode="NumericFirstLast" />
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            TypeName="ParametersTest"
            SelectMethod="Select"
            UpdateMethod="Update"
            DeleteMethod="Delete"
            SelectCountMethod="TotalCount" 
            EnablePaging="false" EnableCaching="false"
            FilterExpression="field1 LIKE '{0}'" 
            CacheDuration="60" 
            ConflictDetection="CompareAllValues"
            SortParameterName="sortExpression" 
            OnUpdating="ObjectDataSource1_Updating" OnUpdated="ObjectDataSource1_Updated" 
            OnDeleting="ObjectDataSource1_Deleting" OnDeleted="ObjectDataSource1_Deleted">
            <FilterParameters>
                <asp:ControlParameter ControlID="TextBox1" DefaultValue="*" Name="field1" PropertyName="Text" />
            </FilterParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" Name="recordCount" Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="processMessage" Type="String" Direction="Output" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="processMessage" Type="String" Direction="Output" />
            </DeleteParameters>
            <FilterParameters>
                <asp:ControlParameter ControlID="TextBox1" DefaultValue="*" Name="field1" PropertyName="Text" />
            </FilterParameters>
        </asp:ObjectDataSource>
        <i> 
        <%= GridView1.PageCount %>
         
        <%= GridView1.PageIndex + 1%>
        
        </i>
    </form>
</body>
</html>
