<%@ Page Language="C#" %>
<script runat="server">
    void EnumerateDictionary(IOrderedDictionary dictionary)
    {
        string key, value, type;
        foreach (DictionaryEntry entry in dictionary) {
            key = entry.Key.ToString();
            if (entry.Value == null) {
                value = "(null)";
                type = "";
            }
            else {
                value = entry.Value.ToString();
                type = " (" + entry.Value.GetType().Name + ")";
            }
            Response.Write(" <b>" + Server.HtmlEncode(key)
                + "</b>=" + Server.HtmlEncode(value) + type + "<br />");
        }
    }

    protected void GV_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ  Էµ <br />");
        EnumerateDictionary(e.NewValues);

        Response.Write("<br/>GridView ޵Ǵ Ű<br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ  <br />");
        EnumerateDictionary(e.OldValues);
    }

    protected void GV_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Response.Write("<br/>GridView ޵Ǵ Ű<br />");
        EnumerateDictionary(e.Keys);

        Response.Write("<br/>GridView ޵Ǵ <br />");
        EnumerateDictionary(e.Values);
    }

    protected void ODS_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        Response.Write("<br/>  Ʈ Updating Ķ<br />");
        EnumerateDictionary(e.InputParameters);
    }

    protected void ODS_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        Response.Write("<br/>Updated ̺Ʈ<br />");
        Response.Write("e.ReturnValue : " + e.ReturnValue + "<br />");
        Response.Write("OutputParameters  <br />");
        foreach (DictionaryEntry de in e.OutputParameters)
            Response.Write("&nbsp;&nbsp;key : " + de.Key + ", value : " + de.Value + "<br />");
        lblMessage.Text = (string)e.OutputParameters["updateMessage"];
    }

    protected void ODS_Deleting(object sender, ObjectDataSourceMethodEventArgs e)
    {
        Response.Write("<br/>  Ʈ Deleting Ķ<br />");
        EnumerateDictionary(e.InputParameters);
    }

    protected void ODS_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
    {
        Response.Write("<br/>Deleted ̺Ʈ<br />");
        Response.Write("e.ReturnValue : " + e.ReturnValue + "<br />");
        Response.Write("OutputParameters  <br />");
        foreach (DictionaryEntry de in e.OutputParameters)
            Response.Write("&nbsp;&nbsp;key : " + de.Key + ", value : " + de.Value + "<br />");
        lblMessage.Text = (string)e.OutputParameters["deleteMessage"];
        e.ExceptionHandled = true;
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Label ID="lblMessage" runat="server" ForeColor="red" Font-Bold="true" />
        <br>
        field1 Like 
        <asp:TextBox ID="TextBox1" runat="server" />&nbsp;
        <asp:Button ID="Button1" runat="server" Text="" /><br />
         
        <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
            <asp:ListItem>10000</asp:ListItem>
            <asp:ListItem>5000</asp:ListItem>
            <asp:ListItem>1000</asp:ListItem>
        </asp:DropDownList>
        <br /><br />
        <asp:GridView ID="GridView1" runat="server" 
            DataSourceID="ObjectDataSource1" DataKeyNames="keyField"
            AllowPaging="True" AllowSorting="True" 
            PageSize="5" AutoGenerateColumns="false" 
            OnRowDeleting="GV_RowDeleting" OnRowUpdating="GV_RowUpdating">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="keyField" HeaderText="keyField" SortExpression="keyField"/>
                <asp:TemplateField HeaderText="CombinedField">
                    <ItemTemplate>
                        <%# Eval("CombinedField ")%>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("field1") %>' style="display:none" />
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("field2") %>' style="display:none" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        field1 <asp:TextBox ID="txtField1" runat="server" Text='<%# Bind("field1") %>' Columns="8" />,
                        field2 <asp:TextBox ID="txtField2" runat="server" Text='<%# Bind("field2") %>' Columns="8" />
                    </EditItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            TypeName="DataObjectExam2" SelectMethod="Select"
            SelectCountMethod="TotalCount" EnablePaging="true" 
            SortParameterName="sortExpression"
            UpdateMethod="Update" DeleteMethod="Delete"
            OldValuesParameterFormatString="original_{0}"
            OnUpdating="ODS_Updating" OnUpdated="ODS_Updated" 
            OnDeleting="ODS_Deleting" OnDeleted="ODS_Deleted"
            ConflictDetection="OverwriteChanges"
            DataObjectTypeName="DataObject">
        </asp:ObjectDataSource>
        <i> 
        <%= GridView1.PageCount %>
         
        <%= GridView1.PageIndex + 1%>
        
        </i>
    </form>
</body>
</html>