<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>
<script runat="server">
    protected void Button1_Click(object sender, EventArgs e)
    {
        String savePath = MapPath(this.TemplateSourceDirectory);
        savePath = Path.Combine(savePath, "Upload");

        lblError.Visible = true;
        if (!FileUpload1.HasFile) {
            lblError.Text = "ε  ϼ.";
            return;
        }

        String fileName = FileUpload1.FileName;
        String fileExtension = Path.GetExtension(fileName).ToLower();
        String[] allowedExtensions = { ".gif", ".png", ".jpeg", ".jpg" };
        bool fileTypeOK = false;
        for (int i = 0; i < allowedExtensions.Length; i++) {
            if (fileExtension == allowedExtensions[i])
                fileTypeOK = true;
        }

        if (!fileTypeOK) {
            lblError.Text = "   ִ ̹ ƴմϴ.";
            return;
        }

        //200K  ʵ
        if (FileUpload1.PostedFile.ContentLength > (1024 * 200)) {
            lblError.Text = " ʹ Ůϴ.";
            return;
        }

        savePath = Path.Combine(savePath, fileName);
        FileUpload1.SaveAs(savePath);
        Response.Write("ε  " + fileName + "  ߽ϴ.");
        Response.Write("<img src='upload/" + fileName + "' />");
        lblError.Visible = false;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <h3>̹ ε</h3>
        <asp:FileUpload ID="FileUpload1" runat="server" />
        <br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="ε" />
        <br />
        <asp:Label ID="lblError" runat="server" ForeColor="red" />
    </form>
</body>
</html>
