<%@ Page Language="C#" enableEventValidation="false" %>
<script runat="server">
    protected void SideBarList_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        WizardStep ws = (WizardStep)e.Item.DataItem;
        ImageButton SideBarButton = (ImageButton)e.Item.FindControl("SideBarButton");

        SideBarButton.ImageUrl = "images/" + ws.Title + ".gif";
        if (ws.StepType == WizardStepType.Complete)
            SideBarButton.Enabled = false;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Wizard ID="Wizard1" runat="server">
            <WizardSteps>
                <asp:WizardStep runat="server" Title="Start" StepType="Start">
                    <h1>Start</h1>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Step" StepType="Step">
                    <h1>Step</h1>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Finish" StepType="Finish">
                    <h1>Finish</h1>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Complete" StepType="Complete">
                    <h1>Complete</h1>
                </asp:WizardStep>
            </WizardSteps>
            <StepNavigationTemplate>
                <h3>StepNavigationTemplate</h3>
                <asp:Button runat="server" 
                    CommandName="MovePrevious" Text="Previous" />
                <asp:Button runat="server" 
                    CommandName="MoveNext" Text="Next" />
            </StepNavigationTemplate>
            <FinishNavigationTemplate>
                <h3>FinishNavigationTemplate</h3>
                <asp:Button runat="server" 
                    CommandName="MovePrevious" Text="Previous" />
                <asp:Button runat="server" 
                    CommandName="MoveComplete" Text="Finish" />
            </FinishNavigationTemplate>
            <StartNavigationTemplate>
                <h3>StartNavigationTemplate</h3>
                <asp:Button runat="server" 
                    CommandName="MoveNext" Text="Next" />
            </StartNavigationTemplate>
            <SideBarTemplate>
                <h3>SideBarTemplate</h3>
                <asp:DataList ID="SideBarList" runat="server" OnItemDataBound="SideBarList_ItemDataBound">
                    <ItemTemplate>
                        <asp:ImageButton ID="SideBarButton" runat="server"/>
                    </ItemTemplate>
                </asp:DataList>
            </SideBarTemplate>
            <HeaderTemplate>
                <h3>HeaderTemplate</h3>
            </HeaderTemplate>
        </asp:Wizard>
    </form>
</body>
</html>
