<%@ Page Language="C#" %>
<script runat="server">
    protected void Wizard1_NextButtonClick(object sender, WizardNavigationEventArgs e)
    {
        if (e.CurrentStepIndex == 1) {
            if (!RadioButton1.Checked
                && !RadioButton2.Checked) {
                lblReqEmail.Visible = true;
                e.Cancel = true;
                return;
            }

            if (RadioButton1.Checked) 
                Wizard1.ActiveStepIndex = 2;
            else 
                Wizard1.ActiveStepIndex = 3;
        }
    }

    protected void Wizard1_ActiveStepChanged(object sender, EventArgs e)
    {
        if (Wizard1.ActiveStepIndex != 1)
            lblReqEmail.Visible = false;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        Label1.Text = Name.Text;
        Label2.Text = Address.Text;
        Label3.Text = EmailAddress.Text;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" 
            OnNextButtonClick="Wizard1_NextButtonClick" 
            OnActiveStepChanged="Wizard1_ActiveStepChanged">
            <WizardSteps>
                <asp:WizardStep ID="WizardStep1" runat="server" Title="1 ܰ">
                    ̸ :
                    <asp:TextBox ID="Name" runat="server"/>
                    <br />
                    ּ :
                    <asp:TextBox ID="Address" runat="server"/>
                </asp:WizardStep>
                <asp:WizardStep ID="WizardStep2" runat="server" Title="2 ܰ" >
                    ̸ ּҸ ԷϽðڽϱ?<br />
                    
                    <asp:RadioButton ID="RadioButton1" runat="server" GroupName="EmailQuestion" />
                    ƴϿ
                    <asp:RadioButton ID="RadioButton2" runat="server" GroupName="EmailQuestion" />
                    <br />
                    <asp:Label ID="lblReqEmail" runat="server" Text="ϼ" Visible="false" ForeColor="Red" />
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Finish">
                    ̸ :
                    <asp:TextBox ID="EmailAddress" runat="server" />
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Complete" Title="Ϸ">
                    ̸ :
                    <asp:Label ID="Label1" runat="server"/>
                    <br />
                    ּ :
                    <asp:Label ID="Label2" runat="server"/>
                    <br />
                    ̸ :
                    <asp:Label ID="Label3" runat="server"/>
                </asp:WizardStep>
            </WizardSteps>
            <HeaderTemplate>
                <h2> ׽Ʈ</h2>
            </HeaderTemplate>
            <SideBarStyle Width="60px" />
        </asp:Wizard>
    </form>
</body>
</html>
