<%@ Page Language="C#" %>
<script runat="server">
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
            Response.Write(" Էϼ̽ϴ");
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack &&
            Request.Form["__EVENTTARGET"] == Button2.ClientID)
        {
            Page.Validate("group2");
            ValidatorCollection vc = Page.GetValidators("group2");
            foreach (IValidator iv in vc) { 
                if (!iv.IsValid)
                    Response.Write(iv.ErrorMessage);
            }
            if (Page.IsValid)
                Response.Write(" Էϼ̽ϴ");
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:Panel ID="Panel1" runat="server" Width="180" GroupingText="Group1">
            <asp:TextBox ID="TextBox1" runat="server" />
            <asp:RequiredFieldValidator 
                ID="RequiredFieldValidator1" runat="server" 
                ControlToValidate="TextBox1" Display="Dynamic" 
                ErrorMessage="<br>TextBox1 Էϼ<br>" 
                ValidationGroup="group1" EnableClientScript="False" />
            <asp:TextBox ID="TextBox2" runat="server" />
            <asp:RequiredFieldValidator 
                ID="RequiredFieldValidator2" runat="server" 
                ControlToValidate="TextBox2" Display="Dynamic" 
                ErrorMessage="<br>TextBox2 Էϼ<br>" 
                ValidationGroup="group1" EnableClientScript="False" />
            <asp:Button ID="Button1" runat="server" Text="Button1" OnClick="Button1_Click" ValidationGroup="group1" />
        </asp:Panel>
        <asp:Panel ID="Panel2" runat="server" Width="180" GroupingText="Group2">
            <asp:TextBox ID="TextBox3" runat="server" />
            <asp:RequiredFieldValidator 
                ID="RequiredFieldValidator3" runat="server" 
                ControlToValidate="TextBox3" Display="Dynamic" 
                ErrorMessage="<br>TextBox3 Էϼ<br>" 
                ValidationGroup="group2" EnableClientScript="False" />
            <asp:TextBox ID="TextBox4" runat="server" />
            <asp:RequiredFieldValidator 
                ID="RequiredFieldValidator4" runat="server" 
                ControlToValidate="TextBox4" Display="Dynamic" 
                ErrorMessage="<br>TextBox4 Էϼ<br>" 
                ValidationGroup="group2" EnableClientScript="False" />
            <asp:Button ID="Button2" runat="server" Text="Button2" ValidationGroup="group2" UseSubmitBehavior="False" />
        </asp:Panel>
    </form>
</body>
</html>
