<%@ Page Language="C#" %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e) {
        Response.Write("Page_Load");
        Response.Write("<br>");
    }
    
    public override void Validate() {
        Response.Write("Validate()");
        Response.Write("<br>");
        base.Validate();
    }

    public override void Validate(string group) {
        Response.Write("Validate(string group)");
        Response.Write("<br>");
        base.Validate(group);
    }

    protected void Button1_Click(object sender, EventArgs e) {
        Response.Write("Button1_Click");
        Response.Write("<br>");
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
            runat="server" EnableClientScript="false"
            ControlToValidate="TextBox1" ErrorMessage="Էϼ" />
        <br />
        <asp:Button ID="Button1" runat="server" 
            OnClick="Button1_Click" Text="Button1" />
        <asp:Button ID="Button2" runat="server" 
            OnClick="Button1_Click" Text="Button2" 
            ValidationGroup="group1" />
    </form>
</body>
</html>
