<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="α" %>
<script runat="server">
    protected void DetailsView1_ItemUpdating(object sender, DetailsViewUpdateEventArgs e)
    {
        /*
        MembershipUser mu = Membership.GetUser();

        mu.Email = (string)e.NewValues["Email"];
        mu.Comment = (string)e.NewValues["Comment"];

        Membership.UpdateUser(mu);
        e.Cancel = true;

        Response.Redirect("~/Home.aspx");
        */
    }

    protected void DetailsView1_ItemCommand(object sender, DetailsViewCommandEventArgs e)
    {
        if (e.CommandName.Equals("Cancel"))
            Response.Redirect("~/Home.aspx");
    }

    protected void ObjectDataSource1_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        MembershipUser mu = Membership.GetUser();
        mu.Email = (string)e.InputParameters["Email"];
        mu.Comment = (string)e.InputParameters["Comment"];
        e.InputParameters.Clear();
        e.InputParameters["user"] = mu;
    }

    protected void ObjectDataSource1_Updated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        Response.Redirect("~/Home.aspx");
    }
</script>
<asp:Content ID="Content1" Runat="Server"
    ContentPlaceHolderID="ContentPlaceHolder1">
    <asp:DetailsView ID="DetailsView1" runat="server" 
        DataSourceID="ObjectDataSource1" 
        AutoGenerateEditButton="True"
        AutoGenerateRows="False" DefaultMode="Edit"
        OnItemUpdating="DetailsView1_ItemUpdating" 
        OnItemCommand="DetailsView1_ItemCommand" >
        <Fields>
          <asp:BoundField DataField="UserName" HeaderText="UserName" ReadOnly="True" ItemStyle-Font-Bold="true" />
          <asp:BoundField DataField="CreationDate" HeaderText="CreationDate" ReadOnly="True" />
          <asp:BoundField DataField="LastActivityDate" HeaderText="LastActivityDate" ReadOnly="True" />
          <asp:BoundField DataField="Email" HeaderText="Email" />
          <asp:BoundField DataField="Comment" HeaderText="Comment" />
          <asp:BoundField DataField="IsOnline" HeaderText="IsOnline" ReadOnly="True" />
          <asp:BoundField DataField="IsApproved" HeaderText="IsApproved" ReadOnly="True" />
          <asp:BoundField DataField="IsLockedOut" HeaderText="IsLockedOut" ReadOnly="True" />
          <asp:BoundField DataField="PasswordQuestion" HeaderText="PasswordQuestion" ReadOnly="True" />
          <asp:BoundField DataField="LastLoginDate" HeaderText="LastLoginDate" ReadOnly="True" />
          <asp:BoundField DataField="LastLockoutDate" HeaderText="LastLockoutDate" ReadOnly="True" />
          <asp:BoundField DataField="LastPasswordChangedDate" HeaderText="LastPasswordChangedDate" ReadOnly="True" />
          <asp:BoundField DataField="ProviderName" HeaderText="ProviderName" ReadOnly="True" />
          <asp:BoundField DataField="ProviderUserKey" HeaderText="ProviderUserKey" ReadOnly="True" />
        </Fields>
    </asp:DetailsView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        SelectMethod="GetUser" 
        UpdateMethod="UpdateUser" 
        TypeName="System.Web.Security.Membership" 
        OnUpdating="ObjectDataSource1_Updating" 
        OnUpdated="ObjectDataSource1_Updated" >
        <UpdateParameters>
            <asp:Parameter Name="user" Type="Object" />
        </UpdateParameters>
    </asp:ObjectDataSource>
</asp:Content>