using System;
using System.Web;

public class PathExpansionHandler
{
    public static SiteMapNode TransformPath(Object sender, SiteMapResolveEventArgs e)
    {
        PathPageBase pathPageBase = e.Context.CurrentHandler as PathPageBase;

        if (pathPageBase != null)
            return pathPageBase.TransformSiteMapNode(sender, e);
        else
            return SiteMap.CurrentNode;
    }
}
