<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Untitled Page" %>
<%@ Register Src="DisplayModeMenu.ascx" TagName="DisplayModeMenu" TagPrefix="uc1" %>
<script runat="server">
    bool _activeViewChanged = false;

    protected void btnAddPieceList_Click(object sender, EventArgs e)
    {
        int boardNo = int.Parse(ddlBoard.SelectedValue);
        string connStr = ConfigurationManager.ConnectionStrings["MySqlConnection"].ConnectionString;
        BoardClass board = new BoardClass(boardNo, connStr);

        if (board.IsAuthenticatedUser) {
            WebPartManager mgr = WebPartManager1;
            WebPartCollection webParts = mgr.WebParts;
            PieceBoardListPart pieceBoardListPart = null;
            foreach (WebPart wp in webParts) {
                //RecentBoardList trbl = wp.WebBrowsableObject as RecentBoardList;
                PieceBoardListPart trbl = wp.WebBrowsableObject as PieceBoardListPart;
                if (trbl == null)
                    continue;
                if (trbl.BoardNo == boardNo) {
                    if (!trbl.IsClosed) {
                        lblError.Text = "̹ ϴ ԽԴϴ";
                        lblError.Visible = true;
                        _activeViewChanged = true;
                        return;
                    }
                    pieceBoardListPart = trbl;
                    break;
                }
            }
            
            /*
            RecentBoardList recentBoardList = (RecentBoardList)Page.LoadControl("RecentBoardList.ascx");
            recentBoardList.TopCount = int.Parse(ddlTopCount.SelectedValue);
            recentBoardList.BoardNo = boardNo;
            recentBoardList.ID = "recentBoardList";
            GenericWebPart webPart = mgr.CreateWebPart(recentBoardList);
             * */
            if (pieceBoardListPart == null) {
                pieceBoardListPart = new PieceBoardListPart();
                pieceBoardListPart.BoardNo = boardNo;
                pieceBoardListPart.ID = "recentBoardList";
            }
            pieceBoardListPart.TopCount = int.Parse(ddlTopCount.SelectedValue);

            mgr.AddWebPart(pieceBoardListPart, WebPartZone1, webParts.Count);

            lblError.Visible = false;
            //MultiView1.ActiveViewIndex = 0;
        }
        else {
            lblError.Text = "ٱ  ԽԴϴ";
            lblError.Visible = true;
            _activeViewChanged = true;
        }
    }

    protected void lnkbtnAddPieceBoard_Click(object sender, EventArgs e)
    {
        MultiView1.ActiveViewIndex = 2;
        _activeViewChanged = true;
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        if (!_activeViewChanged) {
            if (WebPartManager1.DisplayMode == WebPartManager.EditDisplayMode 
                && WebPartManager1.SelectedWebPart != null)
                MultiView1.ActiveViewIndex = 1;
            else
                MultiView1.ActiveViewIndex = 0;
        }
    }

    protected void btnCancelAddPieceList_Click(object sender, EventArgs e)
    {
        lblError.Visible = false;
    }
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:WebPartManager ID="WebPartManager1" runat="server" />
    <table>
        <tr>
            <td valign="top">
                <uc1:DisplayModeMenu ID="DisplayModeMenu1" runat="server" />
            </td>
            <td valign="top">
                <asp:LinkButton ID="lnkbtnAddPieceBoard" runat="server" 
                    OnClick="lnkbtnAddPieceBoard_Click" 
                    Text=" Խ ߰" />
            </td>
        </tr>
    </table>
    <br />
    <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
        <asp:View ID="View1" runat="server">
            <asp:WebPartZone ID="WebPartZone1" runat="server" 
                Width="400px" WebPartVerbRenderMode="TitleBar">
                <ZoneTemplate>
                </ZoneTemplate>
                <EditVerb ImageUrl="~/Images/btn_01.gif" />
                <DeleteVerb Visible="False" />
                <CloseVerb ImageUrl="~/Images/imd_logout.gif" />
                <MinimizeVerb ImageUrl="~/Images/arrow_buy.gif" />
                <RestoreVerb ImageUrl="~/Images/arrow_sell.gif" />
            </asp:WebPartZone>
        </asp:View>
        <asp:View ID="View2" runat="server">
            <asp:EditorZone ID="EditorZone1" runat="server">
                <ApplyVerb Visible="False" />
            </asp:EditorZone>
        </asp:View>
        <asp:View ID="View3" runat="server">
            <h3> Խ </h3>
            Խ :
            <asp:DropDownList ID="ddlBoard" runat="server" 
                DataTextField="subject" DataValueField="no" 
                DataSourceID="odsBoardInfo" />
            <asp:ObjectDataSource ID="odsBoardInfo" runat="server" 
                SelectMethod="GetBoardList" TypeName="BoardInfo" />
            <asp:Label ID="lblError" runat="server" 
                ForeColor="red" Visible="false" />
            <br />
              :
            <asp:DropDownList ID="ddlTopCount" runat="server">
                <asp:ListItem>1</asp:ListItem>
                <asp:ListItem>2</asp:ListItem>
                <asp:ListItem>3</asp:ListItem>
                <asp:ListItem>4</asp:ListItem>
                <asp:ListItem>5</asp:ListItem>
                <asp:ListItem>6</asp:ListItem>
                <asp:ListItem>7</asp:ListItem>
                <asp:ListItem>8</asp:ListItem>
                <asp:ListItem>9</asp:ListItem>
                <asp:ListItem>10</asp:ListItem>
            </asp:DropDownList>
            <br />
            <asp:Button ID="btnAddPieceList" runat="server" 
                OnClick="btnAddPieceList_Click" Text="Ȯ" />
            <asp:Button ID="btnCancelAddPieceList" runat="server" 
                OnClick="btnCancelAddPieceList_Click" Text="" />
        </asp:View>
    </asp:MultiView>
</asp:Content>

