using System;
using System.Configuration;
using System.Reflection;

namespace SimpleProvider
{
    public class SomeService {
        public static string GetMessage() {
            ServiceProviderBase serviceProvider = Create();
            return serviceProvider.GetMessage();
        }

        private static ServiceProviderBase Create() {
            string providerName = ConfigurationManager.AppSettings["basicProvider"];
            Type type = Type.GetType(providerName, true);
            return (ServiceProviderBase)Activator.CreateInstance(type);
        }
    }
}
