using System;
using System.Configuration.Provider;

namespace SimpleLog
{
    public class SimpleLogProviderCollection : ProviderCollection {
        public new SimpleLogProvider this[string name] {
            get { return (SimpleLogProvider)base[name]; }
        }

        public override void Add(ProviderBase provider) {
            if (provider == null) 
                throw new ArgumentNullException("provider");
            else if (!(provider is SimpleLogProvider))
                throw new ArgumentException("provider ڴ SimpleLogProvider  ̾ մϴ.", "provider");
            else
                base.Add(provider);
        }
    }
}
